質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.11%

railsのサーバーが立ち上がらない

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 915

score 5

おそらくgemが原因かと思うのですが、どうしてもうまく行かないので助けていただきたいと思います。

Gemfile

source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

ruby '2.6.4'

gem 'rails', '~> 6.0.2', '>= 6.0.2.2'
gem 'pg', '>= 0.18', '< 2.0'
gem 'puma', '~> 4.1'
gem 'sass-rails', '>= 6'
gem 'webpacker', '~> 4.0'
gem 'turbolinks', '~> 5'
gem 'jbuilder', '~> 2.7'

gem 'bootsnap', '>= 1.4.2', require: false

gem 'bcrypt'
gem "rails-i18n"
gem "kaminari"
gem "valid_email2"
gem "nokogiri"

group :development, :test do
gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
end

group :development do
gem 'web-console', '>= 3.3.0'
gem 'listen', '>= 3.0.5', '< 3.2'
gem 'spring'
gem 'spring-watcher-listen', '~> 2.0.0'
end

group :test do
gem 'capybara', '>= 2.15'
gem 'selenium-webdriver'
gem 'webdrivers'
gem "rspec-rails"
gem "factory_bot_rails"
end

エラーコード
bash-4.4$ bin/rails s -b 0.0.0.0
Traceback (most recent call last):
41: from bin/rails:3:in <main>'         40: from bin/rails:3:in load'
39: from /apps/baukis2/bin/spring:15:in <top (required)>'         38: from /usr/local/lib/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in require'
37: from /usr/local/lib/ruby/2.6.0/rubygems/core_ext/kernel_require.rb:54:in require'         36: from /usr/local/bundle/gems/spring-2.1.0/lib/spring/binstub.rb:11:in <top (required)>'
35: from /usr/local/bundle/gems/spring-2.1.0/lib/spring/binstub.rb:11:in load'         34: from /usr/local/bundle/gems/spring-2.1.0/bin/spring:49:in <top (required)>'
33: from /usr/local/bundle/gems/spring-2.1.0/lib/spring/client.rb:30:in run'         32: from /usr/local/bundle/gems/spring-2.1.0/lib/spring/client/command.rb:7:in call'
31: from /usr/local/bundle/gems/spring-2.1.0/lib/spring/client/rails.rb:28:in call'         30: from /usr/local/bundle/gems/spring-2.1.0/lib/spring/client/rails.rb:28:in load'
29: from /apps/baukis2/bin/rails:9:in <top (required)>'         28: from /usr/local/bundle/gems/activesupport-6.0.2.2/lib/active_support/dependencies.rb:325:in require'
27: from /usr/local/bundle/gems/activesupport-6.0.2.2/lib/active_support/dependencies.rb:291:in load_dependency'         26: from /usr/local/bundle/gems/activesupport-6.0.2.2/lib/active_support/dependencies.rb:325:in block in require'
25: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:31:in require'         24: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:22:in require_with_bootsnap_lfi'
23: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/loaded_features_index.rb:92:in register'         22: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in block in require_with_bootsnap_lfi'
21: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in require'         20: from /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/commands.rb:18:in <main>'
19: from /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/command.rb:46:in invoke'         18: from /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/command/base.rb:69:in perform'
17: from /usr/local/bundle/gems/thor-1.0.1/lib/thor.rb:392:in dispatch'         16: from /usr/local/bundle/gems/thor-1.0.1/lib/thor/invocation.rb:127:in invoke_command'
15: from /usr/local/bundle/gems/thor-1.0.1/lib/thor/command.rb:27:in run'         14: from /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/commands/server/server_command.rb:138:in perform'
13: from /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/commands/server/server_command.rb:138:in tap'         12: from /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/commands/server/server_command.rb:141:in block in perform'
11: from /usr/local/bundle/gems/activesupport-6.0.2.2/lib/active_support/dependencies.rb:325:in require'         10: from /usr/local/bundle/gems/activesupport-6.0.2.2/lib/active_support/dependencies.rb:291:in load_dependency'
9: from /usr/local/bundle/gems/activesupport-6.0.2.2/lib/active_support/dependencies.rb:325:in block in require'          8: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:31:in require'
7: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:22:in require_with_bootsnap_lfi'          6: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/loaded_features_index.rb:92:in register'
5: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in block in require_with_bootsnap_lfi'          4: from /usr/local/bundle/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in require'
3: from /apps/baukis2/config/application.rb:9:in <main>'          2: from /apps/baukis2/config/application.rb:10:in <module:Baukis2>'
1: from /apps/baukis2/config/application.rb:14:in <class:Application>' /usr/local/bundle/gems/railties-6.0.2.2/lib/rails/railtie/configuration.rb:97:in method_missing': undefined method `time' for #<Rails::Application::Configuration:0x000055cb196d4b58> (NoMethodError)

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

0

エラーメッセージを見ると、rails関連のgemをシステム(/usr/local)にインストールしています。
railsアプリを構築するときはrailsアプリ用のフォルダを作って、その中にrailsを含むgemをインストールしてみてください。(お勧めはvendor/bundle/配下に。)

たとえば「railsapp」というフォルダを作ったらvendor/bundle/配下にrailsを含むgemをインストールします。

railsapp% ls vendor/bundle/gems/
./
../
actioncable-6.0.2.2/
actionmailbox-6.0.2.2/
actionmailer-6.0.2.2/
actionpack-6.0.2.2/
actiontext-6.0.2.2/
actionview-6.0.2.2/
activejob-6.0.2.2/
activemodel-6.0.2.2/
activerecord-6.0.2.2/
activestorage-6.0.2.2/
activesupport-6.0.2.2/
addressable-2.7.0/
bindex-0.8.1/
bootsnap-1.4.6/
builder-3.2.4/
byebug-11.1.1/
capybara-3.31.0/
childprocess-3.0.0/
concurrent-ruby-1.1.6/
crass-1.0.6/
erubi-1.9.0/
ffi-1.12.2/
globalid-0.4.2/
i18n-1.8.2/
jbuilder-2.10.0/
listen-3.1.5/
loofah-2.4.0/
mail-2.7.1/
marcel-0.3.3/
method_source-1.0.0/
mimemagic-0.3.4/
mini_mime-1.0.2/
mini_portile2-2.4.0/
minitest-5.14.0/
msgpack-1.3.3/
nio4r-2.5.2/
nokogiri-1.10.9/
public_suffix-4.0.3/
puma-4.3.3/
rack-2.2.2/
rack-proxy-0.6.5/
rack-test-1.1.0/
rails-6.0.2.2/
rails-dom-testing-2.0.3/
rails-html-sanitizer-1.3.0/
railties-6.0.2.2/
rake-13.0.1/
rb-fsevent-0.10.3/
rb-inotify-0.10.1/
regexp_parser-1.7.0/
ruby_dep-1.5.0/
rubyzip-2.3.0/
sass-rails-6.0.0/
sassc-2.2.1/
sassc-rails-2.1.2/
selenium-webdriver-3.142.7/
spring-2.1.0/
spring-watcher-listen-2.0.1/
sprockets-4.0.0/
sprockets-rails-3.2.1/
sqlite3-1.4.2/
thor-1.0.1/
thread_safe-0.3.6/
tilt-2.0.10/
turbolinks-5.2.1/
turbolinks-source-5.2.0/
tzinfo-1.2.6/
web-console-4.0.1/
webdrivers-4.2.0/
webpacker-4.2.2/
websocket-driver-0.7.1/
websocket-extensions-0.1.4/
xpath-3.2.0/
zeitwerk-2.3.0/

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.11%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る